Package org.h2gis.functions.spatial.predicates

## Class ST_CoveredBy

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.predicates.ST_CoveredBy

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_CoveredBy
    extends org.h2gis.api.DeterministicScalarFunction

ST_CoveredBy returns true if no point in geometry B is outside geometry A.

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_CoveredBy()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Boolean` `execute​(org.locationtech.jts.geom.Geometry geomA, org.locationtech.jts.geom.Geometry geomB)` Returns true if this geomA is covered by geomB
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_CoveredBy

    public ST_CoveredBy()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### execute

    public static Boolean execute​(org.locationtech.jts.geom.Geometry geomA,
                                  org.locationtech.jts.geom.Geometry geomB)
                           throws SQLException

Returns true if this geomA is covered by geomB

Parameters:
  `geomA` - Geometry A
  `geomB` - Geometry B
Returns:
  if this geomA is covered by geomB
Throws:
  `SQLException`